class DefaultGameSettings {
  static const int defaultBoardSizeValue = 6;
  static const List<int> allowedBoardSizeValues = [
    5,
    6,
    10,
    15,
  ];

  static const int defaultColorsCountValue = 7;
  static const List<int> allowedColorsCountValues = [
    4,
    5,
    6,
    7,
  ];
}

class GameSettings {
  final int boardSize;
  final int colorsCount;

  GameSettings({
    required this.boardSize,
    required this.colorsCount,
  });

  factory GameSettings.createDefault() {
    return GameSettings(
      boardSize: DefaultGameSettings.defaultBoardSizeValue,
      colorsCount: DefaultGameSettings.defaultColorsCountValue,
    );
  }

  @override
  String toString() {
    return 'GameSettings(${toJson()})';
  }

  Map<String, dynamic>? toJson() {
    return <String, dynamic>{
      'boardSize': boardSize,
      'colorsCount': colorsCount,
    };
  }
}
