import 'package:flutter/material.dart';

import 'package:random/models/game/game.dart';

class GameScoreWidget extends StatelessWidget {
  const GameScoreWidget({
    super.key,
    required this.game,
  });

  final Game game;

  @override
  Widget build(BuildContext context) {
    return Container(
      width: MediaQuery.of(context).size.width,
      padding: const EdgeInsets.all(5),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.start,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          const Text('Settings:'),
          Text('  board size: ${game.settings.boardSize}'),
          Text('  colors count: ${game.settings.colorsCount}'),
          const Text('Game:'),
          Text('  isRunning: ${game.isRunning}'),
          Text('  isFinished: ${game.isFinished}'),
          Text('  movesCount: ${game.movesCount}'),
          Text('  score: ${game.score}'),
        ],
      ),
    );
  }
}
